// prijem / odeslani dat
// Petr Novak (novakpe@labe.felk.cvut.cz)
// 2017-01-01

#ifndef MY_COMMUN_H_
#define MY_COMMUN_H_

#include "GlobalDef.h"

// velikost bufferu pro zpracovani prijateho paketu
#define MY_COM_BUFFER_IN_SIZE 500
// velikost buferu pro tvorbu odesilaneho paketu
#define MY_COM_BUFFER_OUT_SIZE 500

// pod-povely specificke pro zarizeni (CmdDevSub)
typedef enum
{
    DeviceExtCmdMainParms = 51
} DeviceExtCmds;

// externe definovane funkce
// metody pro zpracovani jednotlivych typu paketu
extern uint8_t MyComPaketCmd();
extern uint8_t MyComPaketData();
// odeslani vytvoreneho paketu
extern void MyComPaketSend(uint8_t *bufferData, int bufferLength);

// inicialiace komunikace
void MyComInit();
// prijem dat
void MyComReceived(uint8_t* Buf, uint32_t *Len);
// zpracovani prijateho paketu (pokud je)
uint8_t MyComPaketProcess();

#endif /* MY_COMMUN_H */
